diff -urN --exclude '.*.sw?' e2fsprogs-1.41.9.orig/debugfs/logdump.c e2fsprogs-1.41.9.develop/debugfs/logdump.c
--- e2fsprogs-1.41.9.orig/debugfs/logdump.c	2009-08-23 09:39:05.000000000 +0700
+++ e2fsprogs-1.41.9.develop/debugfs/logdump.c	2009-12-29 11:04:00.588051480 +0700
@@ -40,7 +40,7 @@
 
 int		dump_all, dump_contents, dump_descriptors;
 blk_t		block_to_dump, bitmap_to_dump, inode_block_to_dump;
-unsigned int	group_to_dump, inode_offset_to_dump;
+unsigned int	group_to_dump, bitmap_offset_to_dump, inode_offset_to_dump;
 ext2_ino_t	inode_to_dump;
 
 struct journal_source
@@ -183,6 +183,9 @@
 				  es->s_first_data_block)
 				 / es->s_blocks_per_group);
 		bitmap_to_dump = current_fs->group_desc[group_to_dump].bg_block_bitmap;
+		bitmap_offset_to_dump = ((block_to_dump -
+				  es->s_first_data_block)
+				 % es->s_blocks_per_group);
 	}
 
 	if (!journal_fn && check_fs_open(argv[0]))
@@ -615,17 +618,10 @@
 		return;
 
 	if (fs_blocknr == bitmap_to_dump) {
-		struct ext2_super_block *super;
-		int offset;
-
-		super = current_fs->super;
-		offset = ((fs_blocknr - super->s_first_data_block) %
-			  super->s_blocks_per_group);
-
 		fprintf(out_file, "    (block bitmap for block %u: "
 			"block is %s)\n",
 			block_to_dump,
-			ext2fs_test_bit(offset, buf) ? "SET" : "CLEAR");
+			ext2fs_test_bit(bitmap_offset_to_dump, buf) ? "SET" : "CLEAR");
 	}
 
 	if (fs_blocknr == inode_block_to_dump) {
